#
# spec file for package rubygem-neovim
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-neovim
Version:        0.10.0
Release:        1.1
%define mod_name neovim
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
URL:            https://github.com/neovim/neovim-ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A Ruby client for Neovim
License:        MIT

%description
A Ruby client for Neovim.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f
# MANUAL
chmod -x %{buildroot}%{rb_dir}/gems/%{rb_ver}/gems/neovim-%{version}/script/host_wrapper.bat
rm -f %{buildroot}%{rb_dir}/gems/%{rb_ver}/gems/neovim-%{version}/.gitignore
rm -rf %{buildroot}%{rb_dir}/gems/%{rb_ver}/gems/neovim-%{version}/.github
sed -i 's|/usr/bin/env bash|/usr/bin/bash|g' %{buildroot}%{rb_dir}/gems/%{rb_ver}/gems/neovim-%{version}/script/ci/download_nvim.sh
sed -i 's|/usr/bin/env bash|/usr/bin/bash|g' %{buildroot}%{rb_dir}/gems/%{rb_ver}/gems/neovim-%{version}/script/host_wrapper.sh
# /MANUAL


%gem_packages

%changelog
* Sun Dec 15 2024 Richard Rahl <rrahl0@opensuse.org>
- fix rpmlint, so we can ship it to Factory
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- # 0.10.0
- Add `Neovim.start_remote` helper for remote module support
  (https://github.com/neovim/neovim-ruby/pull/107)
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- # 0.9.1
- Fix bug where `Buffer#[]` with `0` returned the last line of the buffer
  (https://github.com/neovim/neovim-ruby/issues/97)
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.9.0
  see installed CHANGELOG.md
  [#] 0.9.0
  - Add RPC support for `:rubyeval`.
  - Add `Neovim::Session#next`.
  - Rename `Neovim::Session::Exited` -> `Neovim::Session::Disconnected`.
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.8.1
  see installed CHANGELOG.md
  [#] 0.8.1
  - Set client info on host and client startup
  - Add `Client#channel_id`
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.8.0
  see installed CHANGELOG.md
  [#] 0.8.0
  - Allow `Buffer#append` to take a string with newlines
  - Use non-strict line indexing in `:rubydo` to prevent line deletions from
    throwing exceptions
  - Performance optimizations:
  - Cache RPC method lookups and store them in a set
  - Only flush writes before reading in the event loop
  - Delete request handlers after invoking them
  - Refresh provider globals in a single RPC request
* Mon Mar  5 2018 factory-auto@kulow.org
- updated to version 0.7.1
  see installed CHANGELOG.md
  [#] 0.7.1
  - Fix `uninitialized constant Neovim::RubyProvider::StringIO`
  - Various backwards-compatible style changes to satisfy Rubocop rules
* Thu Feb  8 2018 coolo@suse.com
- updated to version 0.7.0
  see installed CHANGELOG.md
  [#] 0.7.0
  - Drop support for Ruby < 2.2.0, update syntax accordingly
  - Use msgpack gem for all reading/writing
  - Make provider std stream capturing more robust
  - Lazily instantiate Host client on 'poll' request
  - Fix windows by setting all IOs to binmode
  - Refactor/simplify session and event loop logic
* Wed Jan  3 2018 dkang@suse.com
- Updated to version 0.6.2
  - Put IOs into binary mode (fixes windows bugs)
  - Various build fixes for appveyor
  - Update generated docs to v0.2.2
* Wed Jan  3 2018 dkang@suse.com
- initial package
